#pragma once
#include "CTML.h"
#include <list>
#include <string>
#include "Utilities.h"
#include <filesystem>
using namespace CTML;
using namespace std;

class GeneralBuilder : Utilities
{
public:
	GeneralBuilder();
	~GeneralBuilder();
	void BuildThePraSite(Sites site);
	void Head(Document &file,
						string canonicalURL,
						string title,
						Levels level = ROOT,
						string description = "",
						list<string> cssStyles = {""});
	void Body(Document &file,
						string cPath,
						Sites site,
						Col color = White,
						PageType type = NORMAL);
	void WriteToFile(Document doc, string path);
};

